'use strict';

const RETRY_WAIT_TIME = 1e3;
const IS_QUERY_RE = /(^|}\s)query[\s({]/im;
const IS_MUTATION_RE = /(^|}\s)mutation[\s({]/im;
const VALID_RESPONSE_TAGS = [
  "BadRequestStatusError",
  "PaymentRequiredStatusError",
  "ForbiddenStatusError",
  "NotFoundStatusError",
  "LockedStatusError",
  "StorefrontServerStatusError"
];

exports.IS_MUTATION_RE = IS_MUTATION_RE;
exports.IS_QUERY_RE = IS_QUERY_RE;
exports.RETRY_WAIT_TIME = RETRY_WAIT_TIME;
exports.VALID_RESPONSE_TAGS = VALID_RESPONSE_TAGS;
//# sourceMappingURL=constants.cjs.map
//# sourceMappingURL=constants.cjs.map