'use strict';

const make = (options) => ({
  "X-Shopify-Storefront-Access-Token": options?.publicAccessToken
});
const makeFallback = (request, options) => make({
  publicAccessToken: request.headers["x-shopify-storefront-access-token"] ?? options?.publicAccessToken
});

exports.make = make;
exports.makeFallback = makeFallback;
//# sourceMappingURL=PublicHeaders.cjs.map
//# sourceMappingURL=PublicHeaders.cjs.map