'use strict';

const buildShopDomain = ({
  storeName
}) => `https://${storeName}.myshopify.com`;
const buildStorefrontApiUrl = ({
  apiVersion,
  storeName
}) => `${buildShopDomain({ storeName })}/api/${apiVersion}/graphql.json`;

exports.buildShopDomain = buildShopDomain;
exports.buildStorefrontApiUrl = buildStorefrontApiUrl;
//# sourceMappingURL=storefront.cjs.map
//# sourceMappingURL=storefront.cjs.map