import * as Effect from 'effect/Effect';
import * as FiberRef from 'effect/FiberRef';
import 'effect/LogLevel';

const filterLevelOrNever = (level, effect) => Effect.gen(function* () {
  const logLevel = yield* FiberRef.get(FiberRef.currentMinimumLogLevel);
  if (logLevel._tag !== level._tag) return yield* effect;
});
const withNamespacedLogSpan = (label) => Effect.withLogSpan(`[@solidifront/storefront-client]:${label}`);

export { filterLevelOrNever, withNamespacedLogSpan };
//# sourceMappingURL=LoggerUtils.js.map
//# sourceMappingURL=LoggerUtils.js.map