const make = (options) => ({
  "Shopify-Storefront-Private-Token": options?.privateAccessToken,
  "Shopify-Storefront-Buyer-IP": options?.buyerIp
});
const makeFallback = (request, options) => make({
  privateAccessToken: request.headers["shopify-storefront-private-token"] ?? options?.privateAccessToken,
  buyerIp: request.headers["shopify-storefront-buyer-ip"] ?? options?.buyerIp
});

export { make, makeFallback };
//# sourceMappingURL=PrivateHeaders.js.map
//# sourceMappingURL=PrivateHeaders.js.map