import * as StorefrontOperation from './services/StorefrontOperation.js';
import * as Effect from 'effect/Effect';
export { buildShopDomain, buildStorefrontApiUrl } from './utils/storefront.js';

const extractOperationName = (operation) => Effect.runSync(StorefrontOperation.extractName(operation));
const minifyOperation = (operation) => Effect.runSync(StorefrontOperation.minify(operation));

export { extractOperationName, minifyOperation };
//# sourceMappingURL=utils.js.map
//# sourceMappingURL=utils.js.map