import 'effect';
import { IS_QUERY_RE, IS_MUTATION_RE } from './constants.js';

const isServer = () => typeof window === "undefined";
const hasPrivateAccessToken = (fields) => "privateAccessToken" in fields;
const hasPublicAccessToken = (fields) => "publicAccessToken" in fields;
const isQuery = (query) => IS_QUERY_RE.test(query);
const isMutation = (mutation) => IS_MUTATION_RE.test(mutation);

export { hasPrivateAccessToken, hasPublicAccessToken, isMutation, isQuery, isServer };
//# sourceMappingURL=predicates.js.map
//# sourceMappingURL=predicates.js.map