const make = ({ contentType, apiVersion }) => ({
  "Content-Type": contentType === "graphql" ? "application/graphql" : "application/json",
  Accept: "application/json",
  "X-SDK-Variant": "solidifront",
  "X-SDK-Variant-Source": "solid",
  "X-SDK-Version": apiVersion
});
const makeFallback = (request, options) => make({
  contentType: request.headers["content-type"] ?? options.contentType,
  apiVersion: request.headers["x-sdk-version"] ?? options.apiVersion
});

export { make, makeFallback };
//# sourceMappingURL=DefaultHeaders.js.map
//# sourceMappingURL=DefaultHeaders.js.map